# Quick Start

Before starting, React Native command line interface should be installed:

`npm install -g react-native-cli`

or spesific version

`npx react-native@latest init solution --version 0.72.12`

### Creating a new application
Use the React Native command line interface to generate a new React Native project called "MyApp":

`react-native init setup`

### Running the application

Once the project is created, you can run it on an emulator or physical device:

```shell
cd setup
react-native run-ios
```

### Modifying your app

Now that you have successfully run the app, let's modify it.

Open `App.tsx` and edit some lines.
Press the R key twice or select Reload from the Developer Menu (CTRL + M) to see your changes!

### Adding content

React-Native uses [component](https://facebook.github.io/react-native/docs/components-and-apis) from the library `react-native`. Add the following content to `App.tsx`:

```tsx
import React from 'react';
import { Text, View, Image } from 'react-native';

export default function App() {
	return (
		<View>
			<Text>Products</Text>
			<View>
				<View>
					<Text>Image</Text>
					<Text>Name</Text>
					<Text>Price</Text>
					<Text>Description</Text>
				</View>
				<View>
					<View><Image source={require('./images/tablet.jpg')} /></View>
					<Text numberOfLines={2} ellipsizeMode='tail'>10-Inch Tablet</Text>
					<Text numberOfLines={2} ellipsizeMode='tail'>269</Text>
					<Text numberOfLines={3} ellipsizeMode='tail'>Android 4.3 Jelly Bean, 10.1-inch Full HD (1920 x 1200) Display</Text>
				</View>
				<View>
					<View><Image source={require('./images/shoe.jpg')} /></View>
					<Text numberOfLines={2} ellipsizeMode='tail'>Running Shoe</Text>
					<Text numberOfLines={2} ellipsizeMode='tail'>48</Text>
					<Text numberOfLines={3} ellipsizeMode='tail'>Synthetic and Mesh, Imported, Rubber sole, Flex Film welded upper, HydraMAX moisture-wicking collar lining</Text>
				</View>
				<View>
					<View><Image source={require('./images/watch.jpg')} /></View>
					<Text numberOfLines={2} ellipsizeMode='tail'>Slim Bracelet Watch</Text>
					<Text numberOfLines={2} ellipsizeMode='tail'>27</Text>
					<Text numberOfLines={3} ellipsizeMode='tail'>A narrow gold-tone bracelet supports the round case of this  watch, which features three rhinestones marking each hour and a sparkling halo on the bezel</Text>
				</View>
			</View>
		</View>
	);
}

const styles = StyleSheet.create({
	heading: {
		margin: 20,
		fontSize: 36,
		color: '#888888'
	}
})
```