/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React from 'react';
import { Text, View, Image } from 'react-native';
import styles from './styles';

export default function App() {
	return (
		<View style={styles.container}>
			<Text style={styles.heading}>Products</Text>
			<View style={styles.table}>
				<View style={styles.tableHeader}>
					<Text style={styles.flex1}>Image</Text>
					<Text style={styles.flex1}>Name</Text>
					<Text style={styles.flex1}>Price</Text>
					<Text style={styles.flex2}>Description</Text>
				</View>
				<View style={[styles.tableRow, styles.backgroundGray]}>
					<View style={styles.flex1}><Image style={styles.size50} source={require('./images/tablet.jpg')} /></View>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>10-Inch Tablet</Text>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>269</Text>
					<Text style={styles.flex2} numberOfLines={3} ellipsizeMode='tail'>Android 4.3 Jelly Bean, 10.1-inch Full HD (1920 x 1200) Display</Text>
				</View>
				<View style={styles.tableRow}>
					<View style={styles.flex1}><Image style={styles.size50} source={require('./images/shoe.jpg')} /></View>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>Running Shoe</Text>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>48</Text>
					<Text style={styles.flex2} numberOfLines={3} ellipsizeMode='tail'>Synthetic and Mesh, Imported, Rubber sole, Flex Film welded upper, HydraMAX moisture-wicking collar lining</Text>
				</View>
				<View style={[styles.tableRow, styles.backgroundGray]}>
					<View style={styles.flex1}><Image style={styles.size50} source={require('./images/watch.jpg')} /></View>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>Slim Bracelet Watch</Text>
					<Text style={styles.flex1} numberOfLines={2} ellipsizeMode='tail'>27</Text>
					<Text style={styles.flex2} numberOfLines={3} ellipsizeMode='tail'>A narrow gold-tone bracelet supports the round case of this  watch, which features three rhinestones marking each hour and a sparkling halo on the bezel</Text>
				</View>
			</View>
		</View>
	);
}
